<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('document_trackers', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('employee_id', 20);
            $table->string('send_to', 20);
            $table->string('document_id', 20);
            $table->text('remarks')->nullable();
            $table->string('attachment', 250)->nullable();
            $table->boolean('enabled')->default(true);
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('document_trackers');
    }
};
